# Gst::VorbisParse Class Reference
[gstreamermm Plugins]

A Wrapper for the vorbisparse plugin. More...

Inherits Gst::Element.

Inherited by Gst::VorbisTag.

Collaboration diagram for Gst::VorbisParse:
[legend]

List of all members.

## Public Member Functions
virtual | ~VorbisParse ()
GstVorbisParse* | gobj ()
| Provides access to the underlying C GObject.
const GstVorbisParse* | gobj () const
| Provides access to the underlying C GObject.
GstVorbisParse* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< VorbisParse > | create ()
| Creates a new vorbisparse plugin with a unique name.
static Glib::RefPtr< VorbisParse > | create (const Glib::ustring& name)
| Creates a new vorbisparse plugin with the given name.
## Protected Member Functions
| VorbisParse ()
| VorbisParse (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VorbisParse > | wrap (GstVorbisParse* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the vorbisparse plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::VorbisParse::~VorbisParse | ( |  | ) | `[virtual]`

Gst::VorbisParse::VorbisParse | ( |  | ) | `[protected]`

Gst::VorbisParse::VorbisParse | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<VorbisParse> Gst::VorbisParse::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new vorbisparse plugin with the given name.

Reimplemented in Gst::VorbisTag.

static Glib::RefPtr<VorbisParse> Gst::VorbisParse::create | ( |  | ) | `[static]`

Creates a new vorbisparse plugin with a unique name.

Reimplemented in Gst::VorbisTag.

const GstVorbisParse* Gst::VorbisParse::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

Reimplemented in Gst::VorbisTag.

GstVorbisParse* Gst::VorbisParse::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

Reimplemented in Gst::VorbisTag.

GstVorbisParse* Gst::VorbisParse::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Reimplemented in Gst::VorbisTag.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VorbisParse > wrap | ( | GstVorbisParse * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/vorbisparse.h